.page-login label {
  cursor: pointer;
}

.page-login .notifications li.error {
  color: red;
}

.page-login .content-bbs-login {
  background-color: var(--sotokabe-bbs-main-bg-color);
  padding: 20px 30px 50px 30px;
  word-break: break-all;
}

.page-login .content-bbs-login #tab-visitor:not(:checked) ~ .tab-visitor,
.page-login .content-bbs-login #tab-painter:not(:checked) ~ .tab-painter,
.page-login .content-bbs-login #tab-reissue-password:not(:checked) ~ .tab-reissue-password,
.page-login .content-bbs-login #tab-reissue-password-input:not(:checked) ~ .tab-reissue-password-input {
  display: none;
}

.page-login .content-bbs-login .tab-labels {
  display: flex;
}

.page-login .content-bbs-login .tab-labels label {
  background-color: var(--sotokabe-bbs-tab-button-bg-color);
  color: var(--sotokabe-bbs-tab-button-color);
  display: flex;
  justify-content: center;
  padding: 8px 30px;
}
.page-login .content-bbs-login .tab-labels label:first-child {
  border-top-left-radius: 5px;
}
.page-login .content-bbs-login .tab-labels label:last-child {
  border-top-right-radius: 5px;
}
.page-login .content-bbs-login #tab-visitor:checked ~ .tab-labels .label-tab-visitor,
.page-login .content-bbs-login #tab-painter:checked ~ .tab-labels .label-tab-painter,
.page-login .content-bbs-login #tab-reissue-password:checked ~ .tab-labels .label-tab-reissue-password,
.page-login .content-bbs-login #tab-reissue-password-input:checked ~ .tab-labels .label-tab-reissue-password-input {
  background-color: var(--sotokabe-bbs-tab-button-bg-color-active);
  color: var(--sotokabe-bbs-tab-button-color-active);
}

.page-login :is(.form-login-visitor, .form-login-painter, .form-reissue-password, .form-reissue-password-input) {
  align-items: flex-end;
  border: solid 2px var(--sotokabe-bbs-form-border-color);
  display: flex;
  flex-direction: column;
  gap: 10px;
  padding: 20px 20px 10px 15px;
}

.page-login :is(.form-login-visitor, .form-login-painter, .form-reissue-password, .form-reissue-password-input) .input-area {
  column-gap: 20px;
  display: grid;
  grid-template-columns: auto 1fr;
  grid-template-rows: repeat(3, auto);
  width: 100%;
}
.page-login :is(.form-login-visitor, .form-login-painter, .form-reissue-password, .form-reissue-password-input) .input-area {
  row-gap: 4px;
}

.page-login :is(.form-login-visitor, .form-login-painter, .form-reissue-password, .form-reissue-password-input) .input-area .input-container {
  display: grid;
  grid-column: 1 / -1;
  grid-template-columns: subgrid;
  row-gap: 8px;
}

.page-login :is(.form-login-visitor, .form-login-painter, .form-reissue-password, .form-reissue-password-input) .input-area .input-container > label:first-child {
  padding-top: 2px;
}

.page-login :is(.form-login-visitor, .form-login-painter, .form-reissue-password, .form-reissue-password-input) .input-area .input-container .visual-checkbox-wrapper {
    align-items: center;
    display: flex;
}

.page-login :is(.form-login-visitor, .form-login-painter, .form-reissue-password, .form-reissue-password-input) .input-area .input-container .visual-checkbox {
    border: solid 2px var(--sotokabe-bbs-form-visual-checkbox-color);
    border-radius: 2px;
    height: 30px;
    width: 30px;
}
.page-login :is(.form-login-visitor, .form-login-painter, .form-reissue-password, .form-reissue-password-input) .input-area .input-container input:checked  ~ .visual-checkbox-wrapper .visual-checkbox {
    background-color: var(--sotokabe-bbs-form-visual-checkbox-color);
    color: var(--sotokabe-bbs-form-visual-checkbox-color-sub);
}

.page-login :is(.form-login-visitor, .form-login-painter, .form-reissue-password, .form-reissue-password-input) .input-area .input-container .visual-checkbox::before {
    content: "\f00c";
    font-size: 25px;
}
.page-login :is(.form-login-visitor, .form-login-painter, .form-reissue-password, .form-reissue-password-input) .input-area .input-container input:not(:checked) ~ .visual-checkbox-wrapper .visual-checkbox::before {
    visibility: hidden;
}

.page-login :is(.form-login-visitor, .form-login-painter, .form-reissue-password, .form-reissue-password-input) .button-area {
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
    justify-content: flex-end;
}

.page-login :is(.form-login-visitor, .form-login-painter, .form-reissue-password, .form-reissue-password-input) .button-area a {
    border-radius: 3px;
    display: inline-block;
    padding: .5em 1.5em;
}
.page-login :is(.form-login-visitor, .form-login-painter, .form-reissue-password, .form-reissue-password-input) .button-area :is(a, button[type="submit"]) {
  background-color: var(--sotokabe-bbs-submit-button-bg-color);
  border: none;
  color: var(--sotokabe-bbs-submit-button-color);
}
.page-login :is(.form-login-visitor, .form-login-painter, .form-reissue-password, .form-reissue-password-input) .button-area a:hover {
    opacity: 1;
}

@media screen and (max-width: 768px) {
    .page-login .content-bbs-login .tab-labels {
        flex-direction: column;
    }

    .page-login .content-bbs-login .tab-labels label:first-child {
      border-top-right-radius: 5px;
    }
    .page-login .content-bbs-login .tab-labels label:last-child {
        border-radius: 0;
    }

    .page-login :is(.form-login-visitor, .form-login-painter, .form-reissue-password, .form-reissue-password-input) .input-area {
        grid-template-columns: 100%;
        grid-template-rows: auto;
    }

    .page-login :is(.form-login-visitor, .form-login-painter, .form-reissue-password, .form-reissue-password-input) .input-area .input-container input:is([type="email"], [type="password"]) {
        width: 100%;
    }
}